Bug 600303 - [abrt] crash in tracker-0.8.4-1.fc13: OJPEGReadBufferFill: Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in tracker-0.8.4-1.fc13: OJPEGReadBufferFill: Process /usr/libex...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2dd5c2bcad80788a089abc993d7...
Keywords:
: 595903 600539 606549 608275 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-04 12:07 UTC by Daniel Scott
Modified: 2013-07-03 03:29 UTC (History)
3 users (show)

Fixed In Version: libtiff-3.9.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 17:31:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.01 KB, text/plain)
2010-06-04 12:07 UTC, Daniel Scott
no flags Details

Description Daniel Scott 2010-06-04 12:07:21 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/tracker-extract
component: tracker
crash_function: OJPEGReadBufferFill
executable: /usr/libexec/tracker-extract
global_uuid: 2dd5c2bcad80788a089abc993d7712fb46ac1978
kernel: 2.6.33.5-112.fc13.x86_64
package: tracker-0.8.4-1.fc13
rating: 4
reason: Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

Comment 1 Daniel Scott 2010-06-04 12:07:24 UTC
Created attachment 421215 [details]
File: backtrace

Comment 2 Deji Akingunola 2010-06-17 14:01:14 UTC
The attached backtrace indicates the crash occured in a libtiff function.

Comment 3 Tom Lane 2010-06-17 14:18:01 UTC
Need to see the input TIFF file that caused the crash in order to have much hope of doing anything with this.

Comment 4 Daniel Scott 2010-06-17 14:31:52 UTC
Wow, that was 2 weeks ago. I have no idea which file it was. Sorry.

Comment 5 Deji Akingunola 2010-06-17 14:40:51 UTC
It is "file:///home/dan/Pictures/The%20Baileys%20of%20Braybooke/dsc04898.arw".

Comment 6 Daniel Scott 2010-06-22 15:34:53 UTC
I tried to attach the file, but it kept crashing my browser! Both Chrome and Firefox.

I have uploaded it here:

http://danieljamesscott.org/images/dsc04898.arw

Thanks,

Dan

Comment 7 Tom Lane 2010-06-22 15:57:49 UTC
Yeah, all that stuff depends on libtiff for reading TIFFs, so the crashes aren't surprising.  Thanks for uploading the file.

[ ... looks at it ... ]

My goodness, that was produced by some incompetent programmers, wasn't it :-(   Multiple violations of the TIFF spec.  The crash cause seems to be a duplicate of bug #603024, so I can get it to not crash, but I'm afraid actually extracting the image might be problematic.

Comment 8 Tom Lane 2010-06-22 16:09:45 UTC
*** Bug 606549 has been marked as a duplicate of this bug. ***

Comment 9 Daniel Scott 2010-06-22 16:16:09 UTC
Not my camera! :) Sony Alpha DSLR-A100 - belongs to a relative of mine.

Personally I stay away from Sony stuff... now I have another reason!

Strangely, ufraw and The GIMP don't complain about it - I've had no problem viewing it.

Thanks for your help.

Comment 10 Tom Lane 2010-06-22 20:17:52 UTC
*** Bug 600539 has been marked as a duplicate of this bug. ***

Comment 11 Tom Lane 2010-06-22 20:47:10 UTC
*** Bug 595903 has been marked as a duplicate of this bug. ***

Comment 12 Jeff Raber 2010-06-28 03:17:19 UTC
*** Bug 608275 has been marked as a duplicate of this bug. ***

Comment 13 Bug Zapper 2011-06-02 12:04:33 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2011-06-27 17:31:09 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.